.TH DMENU 1
.
.SH NAME
.
dmenu \- interactive menu for picking a selection
.SH SYNOPSIS
.B menu
[
.B -d
] [
.B -p prompt
]
.B <choices
.
.SH DESCRIPTION
.
.I Dmenu
reads lines of text from standard input and display them on screen.
Entering text on keyboard fills the search query, filtering only
lines that match it.
Once selection is made, dmenu print the selected line to standard
output and exits.
.PP
The prompt can be changed with the -p flag, and -b set a black
background instead of white.
.PP
Along with Ctl+U, Ctl+W, Backspace, Del, LeftClic, MouseWheel,
extra controls are provided:
.TF "Enter / RightClic"
.TP
.B Ctl+P / Up
Move selection up one line.
.TP
.B Ctl+N / Down
Move selection down one line.
.TP
.B Enter / RightClic
Print current selection and exit.
.TP
.B PgUp / PgDown
Scroll the current matches.
.
.SH ENVIRONMENT VARIABLES
.
.TF "$font"
.TP
.B $font
display font in use.
.
.SH EXAMPLES
.
Display the list of keyboard input digraphs:
.RS
.EE
dmenu </lib/keyboard
.EX
.RE
.PP
Prompt an ssh host and connect to it:
.RS
.EX
vt -b ssh `{sed 's/.* server=/root@/' $home/lib/sshthumbs | dmenu}
.EE
.RE
.PP
Fetch passwords from secstore and copy it to snarf buffer.
.RS
.EX
auth/secstore -G pass | dmenu | sed 's/.* pass=//' >/dev/snarf
.EE
.RE
.PP
Prompt for a file to plumb to the text editor with B:
.RS
.EX
B `{walk -f $1 | dmenu -b}
.EE
.RE
.
.SH SOURCE
.
.B git://git.z0.is/9dmenu
.
.SH SEE ALSO
.
.IR fontsel (1),
.IR menu (2).
